%if 0%{?el7}
%define dist .el7
%endif

Name:           librist
Version:        0.2.7
Release:        1%{?dist}
Summary:        A library that can be used to easily add the RIST protocol to your application.

License:        VideoLAN and librist authors
URL:            https://code.videolan.org/rist/librist
Source0:        https://code.videolan.org/rist/%{name}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2

BuildRequires:  gcc gcc-c++
BuildRequires:	meson ninja-build cmake

%description
This code was written to comply with the Video Services Forum (VSF) Technical Recommendations TR-06-1 and TR-06-2. The protocol goes by the codename "RIST"

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep -n %{name}-v%{version}
%autosetup -n %{name}-v%{version}


%build
%meson

%meson_build

%install
rm -rf $RPM_BUILD_ROOT
%meson_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/doc

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc CONTRIBUTING.md NEWS README.md THANKS.md docs/*
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/rist2rist
%{_bindir}/ristreceiver
%{_bindir}/ristsender
%{_bindir}/ristsrppasswd
%{_libdir}/%{name}.so.*

%files devel
%{_includedir}/%{name}/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Mon Dec 26 2022 momo-i <webmaster@momo-i.org> - 0.2.7-1
- Update to 0.2.7

* Sat Apr 02 2022 momo-i <webmaster@momo-i.org>
- 
